net.i2p.i2ptunnel.streamr

## Class Subscriber

- java.lang.Object
- - net.i2p.i2ptunnel.streamr.Subscriber

All Implemented Interfaces:
  Sink

    public class Subscriber
    extends Object
    implements Sink

server-mode

Author:
  welterde, zzz modded from Producer for I2PTunnel

### Constructor Summary

Constructors
Constructor and Description
`Subscriber(MultiSource multi)`

### Method Summary

Methods
`void` `send(Destination dest, byte[] data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Subscriber

    public Subscriber(MultiSource multi)

### Method Detail

#### send

    public void send(Destination dest,
            byte[] data)

Specified by:
  `send` in interface `Sink`